Package net.rubygrapefruit.platform.internal

# Class DefaultFileSystemInfo

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultFileSystemInfo

All Implemented Interfaces:
  `FileSystemInfo`

public class DefaultFileSystemInfo extends Object implements FileSystemInfo

## Constructor Summary

Constructors
Constructor
Description
`DefaultFileSystemInfo(File mountPoint, String fileSystemType, String deviceName, boolean remote, boolean caseSensitive, boolean casePreserving)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDeviceName()`
Returns the operating system specific name for this file system.
`String`
`getFileSystemType()`
Returns the operating system specific name for the type of this file system.
`File`
`getMountPoint()`
Returns the root directory of this file system.
`boolean`
`isCasePreserving()`
Returns true if this file system preserves file name case.
`boolean`
`isCaseSensitive()`
Returns true if this file system is performance case sensitive searches.
`boolean`
`isRemote()`
Returns true if this file system is a remote file system, or false if local.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFileSystemInfo

public DefaultFileSystemInfo(File mountPoint, String fileSystemType, String deviceName, boolean remote, boolean caseSensitive, boolean casePreserving)

## Method Details

### getDeviceName

public String getDeviceName()
Description copied from interface: `FileSystemInfo`
Returns the operating system specific name for this file system.

Specified by:
  `getDeviceName` in interface `FileSystemInfo`

### getMountPoint

public File getMountPoint()
Description copied from interface: `FileSystemInfo`
Returns the root directory of this file system.

Specified by:
  `getMountPoint` in interface `FileSystemInfo`

### getFileSystemType

public String getFileSystemType()
Description copied from interface: `FileSystemInfo`
Returns the operating system specific name for the type of this file system.

Specified by:
  `getFileSystemType` in interface `FileSystemInfo`

### isRemote

public boolean isRemote()
Description copied from interface: `FileSystemInfo`
Returns true if this file system is a remote file system, or false if local.

Specified by:
  `isRemote` in interface `FileSystemInfo`

### isCaseSensitive

public boolean isCaseSensitive()
Description copied from interface: `FileSystemInfo`
Returns true if this file system is performance case sensitive searches.

Specified by:
  `isCaseSensitive` in interface `FileSystemInfo`

### isCasePreserving

public boolean isCasePreserving()
Description copied from interface: `FileSystemInfo`
Returns true if this file system preserves file name case.

Specified by:
  `isCasePreserving` in interface `FileSystemInfo`